/**
 * © EProg, 2020
 */

* {
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Atma', cursive;
    font-size: 24px;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Sorts Mill Goudy', serif;
}

a:link, a:visited {
    text-decoration: none;
    color: inherit;
}

#container {
    display: block;
    width: auto;
    max-width: 1280px;
    height: auto;
    margin: 0 auto 32px;
    box-sizing: border-box;
}

#main-page-block {
    display: block;
    margin: 0 auto;
    padding-top: 20vh;
    min-width: 384px;
    width: 50%;
    height: auto;
    text-align: center;
}

#main-page-block h2 {
    position: relative;
    top: -16px;
    font-size: 16px;
}

.box-button-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    box-sizing: border-box;
    width: 100%;
    height: auto;
}

.box-button {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 16px 8px;
    width: 192px;
    max-width: 40vw;
    height: 192px;
    border-radius: 4px;
    box-sizing: border-box;
    position: relative;
    background-color: transparent;
    cursor: pointer;
    font-size: 32px;
    /*user-select: none;*/
}
.box-button:hover {
    background-color: #EEE;
}
.box-button.clicked {
    animation: anim-click 1s;
}
@keyframes anim-click {
    0% { box-shadow: 0 0 0 4px rgba(127, 127, 127, 1); }
    100% { box-shadow: 0 0 0 0 rgba(127, 127, 127, 0); }
}

.box-button div {
    display: block;
    margin: 0 auto 16px;
    padding: 16px;
    width: 96px;
    height: 96px;
    border-radius: 50%;
    box-sizing: border-box;
    background-color: rgba(0, 0, 0, 0.05);
    position: relative;
    top: 8px;
}

.box-button div img {
    width: 100%;
    position: relative;
    top: 0;
}

.box-button.not-available {
    color: #999;
}
.box-button.not-available img {
    filter: saturate(10%);
}

.top-margin-16 { margin-top: 16px; }
.top-margin-24 { margin-top: 24px; }
.top-margin-32 { margin-top: 32px; }
.top-margin-48 { margin-top: 48px; }
.top-margin-64 { margin-top: 64px; }
